Name:           compton-conf
Version:        0.16.0
Release:        2
Summary:        Compositor Configuration
License:        LGPL-2.1-or-later
Group:          System/GUI/LXQt
URL:            http://www.lxqt.org
Source:         https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source2:        https://raw.githubusercontent.com/bongochong/assistantpkgs/main/compton-conf.keyring
BuildRequires:  cmake
# compton-conf desktop file uses compton icon
# Adding it as BR so that checks detect the file
BuildRequires:  compton
BuildRequires:  gcc-c++
BuildRequires:  lxqt-build-tools
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(lxqt)
Requires:       compton

%description
X composite manager configuration for compton

%lang_package

%prep
%setup -q

%build
%cmake_lxqt
%cmake_build

%install
%cmake_install

# ERROR: Icon file not installed (preferences-system-windows)
mkdir -p %{buildroot}%{_datadir}/pixmaps
touch %{buildroot}%{_datadir}/pixmaps/preferences-system-windows

%find_lang %{name} --with-qt

%files
%license COPYING
%doc AUTHORS README.md
%doc README.md
%dir %{_datadir}/compton-conf/
%ghost %{_datadir}/pixmaps/preferences-system-windows
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/compton-conf/compton.conf*
%{_datadir}/compton-conf/translations/
%{_sysconfdir}/xdg/autostart/lxqt-compton.desktop

%changelog
* Mon May 16 2022 Raven <raven@sysadmins.ws> - 0.16.0-2
- version update

* Wed Jan 27 2021 Raven <raven@sysadmins.ws> - 0.16.0-1
- version update

* Tue Jun 16 2020 Raven <raven@sysadmins.ws> - 0.15.0-1
- version update

* Fri Mar  1 2019 mvetter@suse.com
- Update to 0.14.1:
  * Only translations was changed
- Changelog from 0.14.0:
  * Updated Translations
  * Improved cmake scripting
  * Moved translations from lxqt-l10n back to compton-conf
* Thu Jan 31 2019 Michael Vetter <mvetter@suse.com>
- Remove compton-conf-0.4.0-no-icon.patch:
  compton-conf desktop file uses compton icon.
  Adding it as BR so that checks detect the file makes this patch
  obsolete.
* Tue May 22 2018 mvetter@suse.com
- Update to 0.4.0:
  * Add checkbox for option xinerama-shadow-crop
  * Add categories for Xfce and Gnome
  * cmake: Use LXQtCompilerSettings
  * Add RadioButtons for setting the rendering backend
- Add compton-conf-0.4.0-no-icon.patch: remove icon beause of
  warning
